3 Replies Latest reply on Jan 13, 2021 4:55 AM by user126898

    ORACLE ODBC CONNECTION

    maxilien NOUTCHA Active Member

      Hello Everyone,

       

                                     I'm using informatica 10.2 and I used oracle 18c for server installation and to create repository. I'm trying to create a connection now for oracle database in other to connect to oracle database for my source and target.

       

        • 1. Re: ORACLE ODBC CONNECTION
          Nico Heinze Guru

          The name is wrong; the name of the Oracle service is XEPDB1, but you switched the D and the B in the ODBC connection.

           

          BTW 1: XE is not supported for Informatica platform or PowerCenter. Good luck.

           

          BTW 2: ODBC connections should not be used for Oracle. As you have installed Oracle on the same Windows system on which you installed the Informatica software, you can (and should) use the Oracle client to connect to Oracle, not an ODBC connection.

          Sole exception: for the Designer (which is a 32-bit Windows application) you need to set up a 32-bit ODBC data source pointing to your Oracle database. Again, don't switch D and B in the service name XEPDB1.

           

          Regards,

          Nico

          • 2. Re: ORACLE ODBC CONNECTION
            Smitha HC Guru

            Hi Maxilien NOUTCHA,

             

            Please note that Oracle 18c is not supported as Domain/Repositoy/ Source-target database. Beow are the supported database versions.

             

            12cR1

            12c

            11gR2

             

            Thanks,

            Smitha

            • 3. Re: ORACLE ODBC CONNECTION
              user126898 Guru

              So Nico is 100% correct that Oracle Express is not support so I would also recommend against it.

               

              Now to Smitha HC points.  Oracle 18c is supported but it depends on one important factor.

               

              Informatica v10.2.0 and v10.2.0 HF1 do not support 18c, but if you installed v10.2.0 HF2, the HF2 version does support 18c.

               

              Now to the first point.  Even if you are on 10.2.0 HF2 you are still on express which is not supported.

               

              Side note: If you are trying to learn Informatica I would highly suggest you start with CDI (Cloud Data Integration) which is part of the IICS framework.   CDI is powercenter but a newer version on the platform Informatica is moving too.

               

              Thanks,
              Scott